# PetscPrintf

Prints to standard out, only from the first processor in the communicator.

### Synopsis

    PetscErrorCode  PetscPrintf(MPI_Comm comm,const char format[],...)

Not Collective

### Input Parameters

| comm | - the communicator
| format | - the usual printf() format string

### Fortran Note

The call sequence is PetscPrintf(PetscViewer, character(*), PetscErrorCode ierr) from Fortran. That is, you can only pass a single character string from Fortran.

Notes: %A is replace with %g unless the value is < 1.e-12 when it is replaced with < 1.e-12

### See Also

PetscFPrintf(), PetscSynchronizedPrintf()

Level:intermediate
Location: src/sys/fileio/mprint.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex1.c.html
src/sys/examples/tutorials/ex2.c.html
src/sys/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1e.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex11.c.html
src/vec/is/examples/tutorials/ex1.c.html
src/vec/is/examples/tutorials/ex2.c.html
src/vec/is/examples/tutorials/ex3.c.html